### Enumeration

# Gio DBusServerFlags

since: 2.26

#### Declaration

    flags Gio.DBusServerFlags

#### Description [src]

Flags used when creating a `GDBusServer`.

Available since: 2.26

#### Members

Name | Description
--- | ---
`G_DBUS_SERVER_FLAGS_NONE` | No flags set.
`G_DBUS_SERVER_FLAGS_RUN_IN_THREAD` | All `GDBusServer::new-connection` signals will run in separated dedicated threads (see signal for details).
`G_DBUS_SERVER_FLAGS_AUTHENTICATION_ALLOW_ANONYMOUS` | Allow the anonymous authentication method.
`G_DBUS_SERVER_FLAGS_AUTHENTICATION_REQUIRE_SAME_USER` | Require the UID of the peer to be the same as the UID of the server when authenticating. (Since: 2.68)